uk.gov.hmrc.githubclient.HookEvent

# Follow

###
Related Doc: package HookEvent

#### object Follow extends HookEvent with Product with Serializable

Linear Supertypes
Serializable, Serializable, Product, Equals, HookEvent, AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. Follow
2. Serializable
3. Serializable
4. Product
5. Equals
6. HookEvent
7. AnyRef
8. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

7. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

8. #### def finalize(): Unit

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( classOf[java.lang.Throwable] )

9. #### final def getClass(): Class[_]

   Definition Classes
     AnyRef → Any

10. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

11. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

12. #### final def notify(): Unit

    Definition Classes
      AnyRef

13. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

14. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

15. #### def toString(): String

    Definition Classes
      HookEvent → AnyRef → Any

16. #### val value: String

    Definition Classes
      HookEvent

17. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

18. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

19. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from HookEvent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped